Package ch.qos.logback.core.property

# Class FileExistsPropertyDefiner

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.PropertyDefinerBase
ch.qos.logback.core.property.FileExistsPropertyDefiner

All Implemented Interfaces:
  `ContextAware`, `PropertyDefiner`

public class FileExistsPropertyDefiner extends PropertyDefinerBase
In conjunction with `PropertyAction` sets the named variable to "true" if the file specified by `path` property exists, to "false" otherwise.

Author:
  Ceki Gülcü
See Also:
  - `getPropertyValue()`

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`FileExistsPropertyDefiner()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
`String`
`getPropertyValue()`
Returns "true" if the file specified by `path` property exists.
`void`
`setPath(String path)`
The path for the file to search for.

### Methods inherited from class ch.qos.logback.core.PropertyDefinerBase

`booleanAsStr`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### FileExistsPropertyDefiner

public FileExistsPropertyDefiner()

## Method Details

### getPath

public String getPath()

### setPath

public void setPath(String path)
The path for the file to search for.

Parameters:
  `path` -

### getPropertyValue

public String getPropertyValue()
Returns "true" if the file specified by `path` property exists. Returns "false" otherwise.

Returns:
  "true"|"false" depending on the existence of file